package de.fitko.fitconnect.cmd;

import com.beust.jcommander.JCommander;
import de.fitko.fitconnect.client.SenderClient;

import java.util.Optional;

public class CommandLineRunner {

    public static void main(String[] args) {

        final CommandLineArgs cmdArgs = new CommandLineArgs();
        JCommander build = JCommander.newBuilder()
                .addObject(cmdArgs)
                .build();

        build.parse(args);

        var clientId = cmdArgs.clientId;
        var secret = cmdArgs.secret;

        // sample high -level- api calls to send a submission
        SenderClient.builder()
                .authenticate(clientId, secret);

    }
}
